CREATE TABLE cmk_collab_doc_opers (
    DOC_OPERATION_ID           NUMBER(18, 0) ,
    VERSION                    VARCHAR2(400)     NOT NULL,
    APPL_MOD_SHORT_NAME        VARCHAR2(1024),
    OBJ_LINE_XPATH             VARCHAR2(4000),
    OBJ_SUBLINE_XPATH          VARCHAR2(4000),
    EVENT                      VARCHAR2(1024),
    FUSION_RELEASE             VARCHAR2(400) ,
    PTNR_RETRIEVAL_MOD_NAME    VARCHAR2(1024),
    PARTNER_KEY_TYPE           VARCHAR2(400) ,
    VALIDATION_PAYLOAD         CLOB          ,
    DOCUMENT_ACCOUNT           VARCHAR2(4000),
    DOCUMENT_ID                NUMBER(18, 0)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    MODULE_ID                  VARCHAR2(128) ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    OBJECT_XPATH               VARCHAR2(4000),
    OBJECT_KEY1_XPATH          VARCHAR2(4000),
    OBJECT_KEY2_XPATH          VARCHAR2(4000),
    OBJECT_KEY3_XPATH          VARCHAR2(4000),
    DOC_OPERATION_ID           NUMBER(18, 0) ,
    VERSION                    VARCHAR2(400)     NOT NULL,
    APPL_MOD_SHORT_NAME        VARCHAR2(1024),
    EVENT                      VARCHAR2(1024),
    FUSION_RELEASE             VARCHAR2(400) ,
    PTNR_RETRIEVAL_MOD_NAME    VARCHAR2(1024),
    PARTNER_KEY_TYPE           VARCHAR2(400) ,
    VALIDATION_PAYLOAD         CLOB          ,
    DOCUMENT_ID                NUMBER(18, 0)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    MODULE_ID                  VARCHAR2(128) ,
    DOCUMENT_ACCOUNT           VARCHAR2(4000),
    SEED_DATA_SOURCE           VARCHAR2(2048),
    OBJ_LINE_XPATH             VARCHAR2(4000),
    OBJ_SUBLINE_XPATH          VARCHAR2(4000),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    OBJECT_XPATH               VARCHAR2(4000),
    OBJECT_KEY1_XPATH          VARCHAR2(4000),
    OBJECT_KEY2_XPATH          VARCHAR2(4000),
    OBJECT_KEY3_XPATH          VARCHAR2(4000),
    CONSTRAINT pk_cmk_collab_doc_opers PRIMARY KEY (DOC_OPERATION_ID, DOC_OPERATION_ID)
);
